Subject: Re: [RCU PATCH 00/14] Remove qdisc lock around ingress Qdisc

From: Jamal Hadi Salim <[email-masked]>
Date: Thu, 13 Mar 2014 04:44:25 -0400

On 03/12/14 12:45, John Fastabend wrote:
> On 03/11/2014 11:58 PM, Jamal Hadi Salim wrote:
>> On 03/10/14 13:03, John Fastabend wrote:
>
> Sure I can provide this data as part of the patch description. My
> expectation is now that the qdisc lock is not needed there should
> be less impact to throughput/latency due to filter updates.

Thats what i would think as well (which would be great).

>
> Yes upto one RCU grace period. Although I don't think this is an
> issue because we get consistency eventually and even with the qdisc
> lock there is no way to know if a set of skbs hit the filter list
> before or after the update.
>

Probably not a big issue - but needs to be document clearly since the
expectations have changed.

> I'll get a v2 out tomorrow morning after making Eric's changes and
> fixing the last compiler warning.
>

There is one more thing. Actions can be shared. I am wondering how this
change is going to affect it - can you try this attached script? Sorry,
I could have sent a much simpler script - but this is one sitting on
my laptop (i have annotated it - notice the 2 policer instances
are shared).
Would be useful to do pings across two devices at the same time while 
concurently doing dumps and see if anything goes crazy (like an oops).

cheers,
jamal

>> net/core/gen_estimator.c: In function ‘gen_get_bstats’:
>> net/core/gen_estimator.c:163:43: warning: pointer type mismatch in
>> conditional expression [enabled by default]
>> net/core/gen_estimator.c: In function ‘gen_find_node’:
>> net/core/gen_estimator.c:191:28: warning: pointer type mismatch in
>> conditional expression [enabled by default]
>
> compiler doesn't like the usage of voids here.
>
> Thanks,
> John
>
>
>>
>> cheers,
>> jamal
>>
>>
>>
>
>